kind: ConfigMap
apiVersion: v1
metadata:
  name: {{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
data:
  APP_CONTACT: {{ .Values.app.contact }}
  APP_URL: {{.Values.app.scheme }}://{{ .Values.app.host }}
  APP_NAME: {{ .Values.app.name }}
  APP_SUBNAME: {{ .Values.app.subName }}
  {{- if .Values.don.enabled }}
  DON_MIN_AMOUNT: {{ .Values.don.minAmount | quote }}
  DON_ENABLED: 'true'
  DON_CAPTION: {{ .Values.don.caption }}
  DON_TITLE: {{ .Values.don.title }}
  {{- end }}
  BROADCAST_DRIVER: {{ .Values.system.broadcastDriver }}
  APP_LOG_LEVEL: {{ .Values.system.logLevel }}
  APP_ENV: {{ .Values.system.env }}
  SESSION_DRIVER: {{ .Values.system.sessionDriver }}
  APP_DEBUG: {{ .Values.system.appDebug | quote }}
  QUEUE_DRIVER: {{ .Values.system.queueDriver }}
  CACHE_DRIVER: {{ .Values.system.cacheDriver }}
  DB_PORT: "3306"
  DB_CONNECTION: "mysql"
  DB_HOST: {{ .Values.mariadb.fullnameOverride }}
  WAIT_HOSTS: {{ .Values.mariadb.fullnameOverride }}:3306
  WAIT_AFTER: "15"
  
